### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
OvernightIndexedSwapIndex Class Reference

base class for overnight indexed swap indexes More...

`#include <ql/indexes/swapindex.hpp>`

Inheritance diagram for OvernightIndexedSwapIndex:
[legend]

List of all members.

## Public Member Functions

| OvernightIndexedSwapIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, Currency currency, const boost::shared_ptr< OvernightIndex > &overnightIndex)
Inspectors
boost::shared_ptr< OvernightIndex > | overnightIndex () const
boost::shared_ptr < OvernightIndexedSwap > | underlyingSwap (const Date &fixingDate) const

## Protected Attributes

boost::shared_ptr< OvernightIndex > | overnightIndex_
boost::shared_ptr < OvernightIndexedSwap > | lastSwap_
Date | lastFixingDate_

## Detailed Description

base class for overnight indexed swap indexes

## Member Function Documentation

boost::shared_ptr<OvernightIndexedSwap> underlyingSwap | ( | const Date & | fixingDate | ) | const

Warning:
  Relinking the term structure underlying the index will not have effect on the returned swap.

Reimplemented from SwapIndex.